Skip to main content
POST
/
api
/
v1
/
products
/
{id}
/
duplicate
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const product = await client.v1.products.duplicateProduct('x', { targetId: 'targetId' });

console.log(product.data);
import os
from stigg import Stigg

client = Stigg(
    api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
)
product = client.v1.products.duplicate_product(
    id="x",
    target_id="targetId",
)
print(product.data)
package main

import (
	"context"
	"fmt"

	"github.com/stiggio/stigg-go"
	"github.com/stiggio/stigg-go/option"
)

func main() {
	client := stigg.NewClient(
		option.WithAPIKey("My API Key"),
	)
	product, err := client.V1.Products.DuplicateProduct(
		context.TODO(),
		"x",
		stigg.V1ProductDuplicateProductParams{
			TargetID: "targetId",
		},
	)
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", product.Data)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.products.Product;
import io.stigg.models.v1.products.ProductDuplicateProductParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        StiggClient client = StiggOkHttpClient.fromEnv();

        ProductDuplicateProductParams params = ProductDuplicateProductParams.builder()
            .id("x")
            .targetId("targetId")
            .build();
        Product product = client.v1().products().duplicateProduct(params);
    }
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

product = stigg.v1.products.duplicate_product("x", target_id: "targetId")

puts(product)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Products;

StiggClient client = new();

ProductDuplicateProductParams parameters = new()
{
    ID = "x",
    TargetID = "targetId",
};

var product = await client.V1.Products.DuplicateProduct(parameters);

Console.WriteLine(product);
stigg v1:products duplicate-product \
  --api-key 'My API Key' \
  --id x \
  --target-id targetId
curl --request POST \
  --url https://api.stigg.io/api/v1/products/{id}/duplicate \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "targetId": "<string>",
  "displayName": "<string>",
  "description": "<string>"
}
'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.stigg.io/api/v1/products/{id}/duplicate",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'targetId' => '<string>',
    'displayName' => '<string>',
    'description' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "product-revvenu",
    "displayName": "Revvenu",
    "description": "SaaS billing platform",
    "status": "PUBLISHED",
    "multipleSubscriptions": false,
    "metadata": {},
    "productSettings": {
      "downgradePlanId": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
      "prorateAtEndOfBillingPeriod": null,
      "subscriptionCancellationTime": "END_OF_BILLING_PERIOD",
      "subscriptionEndSetup": "DOWNGRADE_TO_FREE",
      "subscriptionStartPlanId": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b",
      "subscriptionStartSetup": "FREE_PLAN"
    },
    "createdAt": "2025-10-26T10:00:00.000Z",
    "updatedAt": "2025-10-26T10:00:00.000Z"
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "code": "Unauthenticated"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Duplicate an existing product with a new unique identifier and optional display overrides.

targetId
string
required

The unique identifier for the entity

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
displayName
string

Display name of the product

Maximum string length: 255
description
string | null

Description of the product

Maximum string length: 255

Response

The newly created duplicate product object.

Response object

data
Product · object
required

Product configuration object